Package org.apache.any23.validator.rule

## Class OpenGraphNamespaceFix

- java.lang.Object
- - org.apache.any23.validator.rule.OpenGraphNamespaceFix

- All Implemented Interfaces:
    `Fix`

      public class OpenGraphNamespaceFix
      extends Object
      implements Fix

  This fixes the missing Open Graph protocol.
  Author:
    Michele Mostarda (mostarda@fbk.eu), Davide Palmisano (palmisano@fbk.eu)
  See Also:
    `MissingOpenGraphNamespaceRule`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `OPENGRAPH_PROTOCOL_NS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OpenGraphNamespaceFix()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute​(Rule rule, RuleContext context, DOMDocument document)` | Executes this fix over a document.
    `String` | `getHRName()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OPENGRAPH_PROTOCOL_NS

          public static final String OPENGRAPH_PROTOCOL_NS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OpenGraphNamespaceFix

          public OpenGraphNamespaceFix()

  - ### Method Detail

    - #### getHRName

          public String getHRName()

      Specified by:
        `getHRName` in interface `Fix`
      Returns:
        the human readable name for this fix.

    - #### execute

          public void execute​(Rule rule,
                              RuleContext context,
                              DOMDocument document)

      Description copied from interface: `Fix`
      Executes this fix over a document.
      Specified by:
        `execute` in interface `Fix`
      Parameters:
        `rule` - the rule triggering this fix.
        `context` - the rule context for this fix.
        `document` - the document to apply this fix.